PointChartProperties (jCharts-0.7.5 API)
Keywords: org.jCharts.properties.PointChartProperties,PointChartProperties class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.properties
Class PointChartProperties

    java.lang.Object
      |
      +--org.jCharts.properties.ChartTypeProperties
            |
            +--org.jCharts.properties.AxisChartTypeProperties
                  |
                  +--org.jCharts.properties.PointChartProperties

All Implemented Interfaces:
  HTMLTestable

public final class PointChartProperties
extends AxisChartTypeProperties

Field Summary
`static java.awt.Stroke` | `DEFAULT_POINT_BORDER_STROKE`
`private boolean[]` | `fillPointFlags`
`private java.awt.Paint[]` | `outlinePaints`
`static java.awt.Shape` | `SHAPE_CIRCLE`
`static java.awt.Shape` | `SHAPE_DIAMOND`
`static java.awt.Shape` | `SHAPE_SQUARE`
`static java.awt.Shape` | `SHAPE_TRIANGLE`
`private java.awt.Shape[]` | `shapes`

Fields inherited from class org.jCharts.properties.AxisChartTypeProperties
``

Constructor Summary
`PointChartProperties(java.awt.Shape[] shapes, boolean[] fillPointFlags, java.awt.Paint[] outlinePaints)` Constructor

Method Summary
`boolean` | `getFillPointsFlag(int index)`
`java.awt.Paint` | `getPointOutlinePaints(int index)`
`java.awt.Shape` | `getShape(int index)`
`void` | `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`void` | `validate(IAxisPlotDataSet iAxisPlotDataSet)` Validates the properties.

Methods inherited from class org.jCharts.properties.AxisChartTypeProperties
`addPostRenderEventListener, addPreRenderEventListener, firePostRender, firePreRender`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_POINT_BORDER_STROKE

    public static final java.awt.Stroke DEFAULT_POINT_BORDER_STROKE

### SHAPE_SQUARE

    public static final java.awt.Shape SHAPE_SQUARE

### SHAPE_TRIANGLE

    public static final java.awt.Shape SHAPE_TRIANGLE

### SHAPE_CIRCLE

    public static final java.awt.Shape SHAPE_CIRCLE

### SHAPE_DIAMOND

    public static final java.awt.Shape SHAPE_DIAMOND

### shapes

    private java.awt.Shape[] shapes

### fillPointFlags

    private boolean[] fillPointFlags

### outlinePaints

    private java.awt.Paint[] outlinePaints

Constructor Detail

### PointChartProperties

    public PointChartProperties(java.awt.Shape[] shapes,
                                boolean[] fillPointFlags,
                                java.awt.Paint[] outlinePaints)

  Constructor

Parameters:
  `shapes` - the Shapes to use for each DataSet drawn in this chart. There must be an one to one mapping of Shape objects and DataSets in the chart.
  `fillPointFlags` - flags indicating whether to fill the point Shapes or to only outline them using the Paint specified on the DataSet object. If this is set to TRUE, the 'outlinePaint' attribute can be used to outline the Shape.
  `outlinePaints` - Sets the outline Paint to use for each Shape in the chart. This Paint is only used if the 'setFillPointsFlag' is set to TRUE for the Shape.

Method Detail

### getFillPointsFlag

    public boolean getFillPointsFlag(int index)

### getPointOutlinePaints

    public java.awt.Paint getPointOutlinePaints(int index)

  Parameters:
    `index` -
  Returns:
    Paint

### getShape

    public java.awt.Shape getShape(int index)

  Parameters:
    `index` -
  Returns:
    Shape

### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

  Enables the testing routines to display the contents of this Object.

  Parameters:
    `htmlGenerator` -

### validate

    public void validate(IAxisPlotDataSet iAxisPlotDataSet)
                  throws PropertyException

  Validates the properties.

  Specified by:
    `validate` in class `AxisChartTypeProperties`
  Parameters:
    `iAxisPlotDataSet` -
  Throws:
    `PropertyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD